Project

General

Profile

Actions

Defect #40337

closed

Error when migrate plugins with data on redmine from 4.1 to 5.0 (redmine on windows 10)

Added by Phac La Thanh about 2 months ago. Updated about 2 months ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
Issues
Target version:
-
Start date:
Due date:
% Done:

0%

Estimated time:
Resolution:
Invalid
Affected version:

Description

Hi everybody
I upgraded redmine from version 4.1.0 to 5.0.1 on windows 10 (created a new server and migrated). When migrating plugins with data from I get the following error! (bundle exec rake db:mirgrate RAILS_ENV=production)
  • Invoke db:migrate (first_time)
  • Invoke db:load_config (first_time)
  • Invoke environment (first_time)
  • Execute environment
    rake aborted!
    NameError: uninitialized constant Redmine::Hook
    Please help me!

Files

plugins_migrate_error.jpg (563 KB) plugins_migrate_error.jpg Phac La Thanh, 2024-03-02 05:26
Actions #1

Updated by Holger Just about 2 months ago

  • Status changed from New to Closed
  • Resolution set to Invalid

To quote the README of the redmine_extensions gem:

⚠️ This gem working only with Redmine 4.x

The gem is required by one of your plugins which is thus not compatible with Redmine 5.0. This is not something we can fix here. Please contact the plugin author for support.

Actions

Also available in: Atom PDF